{ pkgs, config, ... }:
let
  domain = "io.ingolf-wagner.de";
  publicIp = "195.201.134.247";
  pw = import <secrets/iodinepw.nix>;
in {

  services.iodine.server = {
    enable = true;
    domain = domain;
    ip = "172.16.10.1/24";
    extraConfig = "-c -P ${pw} -l ${publicIp}";
  };

  #krebs.iptables.tables.filter.INPUT.rules = [
  #{ predicate = "-p udp --dport 53"; target = "ACCEPT";}
  #];

}
