{ config, lib, ... }:
let

  home = "/home/syncthing/podcasts";

in {
  custom.services.castget = {
    enable = true;
    user = "root";
    feeds = {
      Alternativlos = {
        url = "https://alternativlos.org/alternativlos.rss";
        spool = "${home}/alternativlos";
      };
      gegenstandpunkt = {
        url = "https://pc.argudiss.de/";
        spool = "${home}/GegenStandpunkt";
      };
    };
  };
}
