{ pkgs ? import <nixpkgs> { } }:

let

  bin = pkgs.python.pkgs.buildPythonPackage {
    name = "lektor-shell";
    src = ./.;
    # propagatedBuildInputs = [ pytest numpy pkgs.libsndfile ];
  };

in pkgs.mkShell {

  # needed pkgs
  # -----------
  buildInputs = with pkgs; [ bin ];

  # run this on start
  # -----------------
  shellHook = ''
    HISTFILE=${toString ./.}/.history
  '';
}
