{ config, pkgs, lib, ... }: {

  environment.systemPackages = with pkgs; [ xclip xtrlock-pam xorg.xev ];

  system.custom.x11 = {
    enable = true;
    autoLoginUser = config.users.users.mainUser.name;
  };

  system.custom.fonts.enable = true;

  # xinput list < to show devices
  # https://unix.stackexchange.com/questions/90572/how-can-i-set-mouse-sensitivity-not-just-mouse-acceleration
  #services.xserver.displayManager.sessionCommands = let
  #  mouseSpeed = name: speed: ''
  #    ${pkgs.xlibs.xinput}/bin/xinput set-prop "${name}" "Coordinate Transformation Matrix" ${
  #      toString speed
  #    } 0 0 0 ${toString speed} 0 0 0 1 || true
  #  '';
  #in lib.concatStringsSep "\n"
  #[ (mouseSpeed "Logitech Gaming Mouse G400" 3.1) ];

}

